import React from 'react';
import '../../tencentAdPutIn/index.less'
import { Button, Form, message, Modal, Space } from 'antd';

interface Props {
    visible?: boolean;
    onClose?: () => void;
    onChange?: () => void;
}

/**
 * 新建组件
 * @param param0 
 * @returns 
 */
const AddComponents: React.FC<Props> = ({ visible, onChange, onClose }) => {

    /****************************************/
    const [form] = Form.useForm();
    /****************************************/

    // <Dropdown menu={{
    //     items: [
    //         {
    //             key: '1',
    //             label: (
    //                 <a target="_blank" rel="noopener noreferrer" href="https://www.antgroup.com">
    //                     1st menu item
    //                 </a>
    //             ),
    //         }
    //     ]
    // }}>
    //     <Button icon={<PlusOutlined />} type="primary">新建组件</Button>
    // </Dropdown>

    const handleOk = (values: any) => {
        // const { mediaType, dynamicGroup } = values
        // if (mediaType === 2 && dynamicGroup.length > adLength) {
        //     message.error({
        //         content: `创意组分配规则选择“顺序分配到广告”时，创意组总数必须小于等于广告总数。当前广告总数：${adLength}，创意组总数：${dynamicGroup.length}`,
        //         duration: 8
        //     })
        //     return
        // }
        // onChange?.({ mediaType, dynamicMaterialDTos: { dynamicGroup } })
    }

    return <Modal
        title={<strong style={{ fontSize: 20 }}>新建组件</strong>}
        open={visible}
        onCancel={onClose}
        footer={null}
        width={900}
        className={`modalResetCss`}
        bodyStyle={{ padding: '0 0 40px', position: 'relative', borderRadius: '0 0 8px 8px' }}
        maskClosable={false}
    >
        <Form
            form={form}
            name="newComponents"
            labelAlign='left'
            layout="vertical"
            colon={false}
            style={{ backgroundColor: '#f1f4fc', maxHeight: 650, overflow: 'hidden', overflowY: 'auto', padding: 10, borderRadius: '0 0 8px 8px' }}
            scrollToFirstError={{
                behavior: 'smooth',
                block: 'center'
            }}
            onFinishFailed={({ errorFields }) => {
                message.error(errorFields?.[0]?.errors?.[0])
            }}
            onFinish={handleOk}
            initialValues={{
                dynamicGroup: [undefined]
            }}
        >
            <Form.Item className="submit_pull">
                <Space>
                    <Button onClick={onClose}>取消</Button>
                    <Button type="primary" htmlType="submit" className="modalResetCss">
                        确定
                    </Button>
                </Space>
            </Form.Item>
        </Form>
    </Modal>
};

export default AddComponents;